/* Large Desktop */
@media only screen and (min-width: 1600px) {
  body,
  html,
  #navigation {
    font-size: 100%;
  }
}
body,
html {
  overflow: visible;
  scroll-behavior: smooth;
}
/*-- -------------------------- -->
<---       How it Works         -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #hero .left-section {
    padding: 9.125em 1em 3.75em;
    max-width: 25em;
  }
  #hero .left-section .topper {
    display: block;
    font-size: 1em;
    line-height: 1.5em;
    color: #7944EB;
    font-weight: 700;
    text-transform: uppercase;
    margin-bottom: 1em;
    font-family: 'Ubuntu', Arial, sans-serif;
  }
  #hero .left-section h2 {
    font-size: 2.4375em;
    font-weight: bold;
    line-height: 1.15384615;
    color: #1D005A;
    margin-bottom: 0.41025641em;
  }
  #hero .left-section p {
    font-size: 1.125em;
    line-height: 1.5em;
    color: #4E4B66;
    margin-bottom: 1.5rem;
  }
  #hero .left-section .updated {
    font-size: 1rem;
    color: #4AC7C2;
    line-height: 1.2em;
    text-transform: uppercase;
    font-weight: bold;
    font-family: 'Ubuntu', Arial, sans-serif;
  }
  #hero .right-section {
    position: relative;
    display: block;
    width: 100%;
    aspect-ratio: 1.75609756;
  }
  #hero .right-section img {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
}
/* Tablet */
@media only screen and (min-width: 48em) {
  #hero {
    padding-top: 11.3125em;
    padding-bottom: 3.125em;
    position: relative;
    z-index: 10;
  }
  #hero .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 95%;
    max-width: 68.125em;
  }
  #hero .left-section {
    padding: 0;
    margin-right: 3.125em;
    max-width: 26.5em;
  }
  #hero .right-section {
    max-width: 34.6875em;
    border-radius: 0.5em;
    padding: 0;
    aspect-ratio: 1.46052632;
  }
  #hero .right-section img {
    border-radius: 0.5em;
  }
}
/* Small Desktop */
@media only screen and (min-width: 64em) {
  #hero .left-section .topper {
    font-size: 1.25em;
    margin-bottom: 1.2em;
  }
  #hero .left-section h2 {
    font-size: 3.0625em;
    margin-bottom: 0.48979592em;
  }
  #hero .left-section p {
    font-size: 1.5625em;
  }
}
/* Small Desktop */
@media only screen and (min-width: 84.375em) {
  #hero .container {
    align-items: flex-start;
  }
  #hero .left-section {
    margin-top: 1.3125em;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #hero .left-section .topper {
    color: #69E0DB;
  }
  body.dark-mode #hero .left-section h2,
  body.dark-mode #hero .left-section p {
    color: #FAFBFC;
  }
}
/*-- -------------------------- -->
<---          Content           -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  body.scroll #content .back-to-top {
    transform: translateY(0);
    opacity: 1;
  }
  #content {
    padding: 2.5em 0;
    position: relative;
  }
  #content .container {
    padding: 0 1em;
  }
  #content .iframe {
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    margin-bottom: 2em;
    height: 0px;
    overflow: hidden;
    padding-top: 56.25%;
    position: relative;
    width: 100%;
}
  #content .document-nav {
    margin: auto;
    margin-bottom: 3.125em;
    max-width: 43.75em;
  }
  #content .document-nav .sticky {
    background: #ecf4fe;
    max-width: 18.75em;
    padding: 1.875em 1em;
    border-radius: 0.25em;
  }
  #content .document-nav .header {
    font-size: 1.25rem;
    line-height: 1.2em;
    color: #3F88F5;
    font-weight: bold;
    font-family: 'Ubuntu', Arial, sans-serif;
    margin-bottom: 1.5rem;
    text-transform: uppercase;
    display: block;
  }
  #content .document-nav ol,
  #content .document-nav ul {
    padding-left: 1.25em;
  }
  #content .document-nav ol.pagespeed-handbook li,
  #content .document-nav ul.pagespeed-handbook li,
  #content .document-nav ol.documentation li,
  #content .document-nav ul.documentation li,
  #content .document-nav ol.freelancing-guide li,
  #content .document-nav ul.freelancing-guide li {
    list-style-type: none;
  }
  #content .document-nav ol li,
  #content .document-nav ul li {
    /* 16px - 21px */
    font-size: clamp(1rem, 1.5vw, 1.3125rem);
    color: #4E4B66;
    line-height: 1.5em;
    font-family: 'Ubuntu', Arial, sans-serif;
    font-weight: bold;
  }
  #content .document-nav ol li a,
  #content .document-nav ul li a {
    /* 16px - 21px */
    font-size: clamp(1rem, 1.5vw, 1.3125rem);
    color: #4E4B66;
    line-height: 1.5em;
    font-family: 'Ubuntu', Arial, sans-serif;
    font-weight: bold;
    text-decoration: none;
    transition: color .3s;
  }
  #content .document-nav ol li a:hover,
  #content .document-nav ul li a:hover {
    color: var(--primary);
  }
  #content .document-nav .target.clicked .dropdown {
    height: auto;
    padding-bottom: 0.9375rem;
    opacity: 1;
    overflow: visible;
  }
  #content .document-nav .dropdown {
    padding-left: 0.625em;
    padding-bottom: 0.9375rem;
    height: 0;
    padding-bottom: 0;
    overflow: hidden;
    opacity: 0;
    transition: opacity .3s, padding .3s;
  }
  #content .document-nav .dropdown li {
    list-style-type: lower-alpha;
    font-size: 1rem;
    font-weight: 700;
  }
  #content .document-nav .dropdown li a {
    font-size: 1rem;
  }
  #content .content-container {
    background: #fff;
    max-width: 43.75em;
    margin: auto;
  }
  #content .content-container .doc-img {
    border-radius: 0.25em;
    display: block;
    width: 100%;
    height: auto;
    /* 16px - 24px */
    margin-bottom: clamp(1rem, 5vw, 1.5rem);
    box-shadow: rgba(149, 157, 165, 0.1) 0px 8px 24px;
  }
  #content .content-container pre {
    margin-bottom: 1.5em;
  }
  #content .content-container h2 {
    font-size: 2.25em;
    font-weight: bold;
    line-height: 1.15384615;
    color: #1D005A;
    /* 16px - 32px */
    margin-bottom: clamp(1rem, 5vw, 2rem);
    margin-top: 2em;
  }
  #content .content-container #group1 h2 {
    margin-top: 0;
  }
  #content .content-container img {
    width: 100%;
    height: auto;
    margin: 1.25em 0;
  }
  #content .content-container h3 {
    font-size: 1.25rem;
    /* 16px - 24px */
    margin-bottom: clamp(1rem, 5vw, 1.5rem);
    border-left: 0.1875rem solid var(--primary);
    padding-left: 0.9375rem;
  }
  #content .content-container h4,
  #content .content-container h5,
  #content .content-container h6 {
    font-size: 1rem;
    /* 16px - 20px */
    margin-bottom: clamp(1rem, 5vw, 1.25rem);
  }
  #content .content-container p,
  #content .content-container .suggested {
    font-size: 1rem;
    /* 16px - 24px */
    margin-bottom: clamp(1rem, 5vw, 1.5rem);
    line-height: 1.5em;
  }
  #content .content-container p strong,
  #content .content-container .suggested strong {
    color: #1a1a1a;
  }
  #content .content-container a {
    font-size: 1rem;
    font-weight: bold;
    text-decoration: underline;
    color: var(--primary);
  }
  #content .content-container .suggested {
    color: var(--primary);
    display: block;
  }
  #content .content-container ul,
  #content .content-container ol {
    padding-left: 2.5rem;
    margin-bottom: 1.5rem;
  }
  #content .content-container ul li,
  #content .content-container ol li {
    font-size: 1rem;
    margin-bottom: 1rem;
  }
  #content .content-container ul.no-bullets li,
  #content .content-container ol.no-bullets li {
    list-style-type: none;
  }
  #content .content-container .buttons-ul li {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
  }
  #content .content-container .buttons-ul li img {
    margin-right: 0.625em;
    width: auto;
    height: auto;
    border-radius: 0.5rem;
    display: block;
  }
  #content .back-to-top {
    font-size: 1em;
    position: fixed;
    bottom: 1em;
    right: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 3.125em;
    height: 3.125em;
    border-radius: 50%;
    background: linear-gradient(127.08deg, #3f88f5 28.48%, #4611b8 100.16%);
    transform: translateY(12.5em);
    opacity: 0;
    transition: transform .6s, opacity .5s;
  }
  #content .back-to-top img {
    width: 1.5em;
    height: 1.5em;
  }
}
/* Small Desktop */
@media only screen and (min-width: 64em) {
  #content {
    padding: 0 1em;
    padding-top: 3.75em;
    position: relative;
  }
  #content:before {
    /* top right box */
    content: '';
    width: 100%;
    height: 23.75em;
    background: #3F88F5;
    opacity: .1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
  }
  #content:before {
    height: 35.625em;
  }
  #content .container {
    display: flex;
    justify-content: space-between;
    align-items: initial;
    padding: 0;
    margin-bottom: 3.125em;
    position: relative;
  }
  #content .document-nav {
    position: -webkit-sticky;
    position: sticky;
    top: 0em;
    width: auto;
    display: table;
    max-width: none;
    margin: 0;
  }
  #content .document-nav .sticky {
    max-width: 28.125em;
  }
  #content .content-container {
    margin: 0;
    width: 70vw;
    padding: 3.125em 2.5em;
    border-radius: 0.5em;
    position: relative;
    z-index: 1;
    max-width: 47.3125em;
  }
  #content .back-to-top {
    display: none;
  }
  #content .document-nav {
    width: 32%;
    height: auto;
    min-height: 200px;
    overflow: auto;
    position: sticky;
    top: 0;
  }
  #content .document-nav .sticky {
    position: sticky;
    top: 10.625em;
    z-index: 10;
    background: #ecf4fe;
    padding: 1.875em 1.875em;
    margin-top: -1.875em;
    border-radius: 0.5em;
  }
  #content .container {
    display: flex;
    justify-content: space-between;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #content .content-container {
    background-color: var(--dark);
  }
  body.dark-mode #content .content-container h2,
  body.dark-mode #content .content-container h3 {
    color: #69E0DB;
  }
  body.dark-mode #content .content-container a {
    color: #FF3390;
  }
  body.dark-mode #content .content-container .suggested {
    color: #FAFBFC;
  }
  body.dark-mode #content .content-container p strong {
    color: #FAFBFC;
  }
  body.dark-mode #content .document-nav .sticky {
    background-color: #181f3f;
  }
  body.dark-mode #content .document-nav .header {
    color: #69E0DB;
  }
  body.dark-mode #content .document-nav ol li a,
  body.dark-mode #content .document-nav ul li a {
    color: #FAFBFC;
  }
}
/*-- -------------------------- -->
<---        Newsletter          -->
<--- -------------------------- -*/
/* Mobile */
@media only screen and (min-width: 0em) {
  #newsletter {
    background: linear-gradient(119.05deg, #4ac7c2 -0.62%, #3f88f5 18.41%, #4611b8 65.86%, #1d005a 99.11%);
    padding: 3.75em 1em 0em;
  }
  #newsletter h2 {
    font-size: 1.5625em;
    line-height: 1.4;
    color: #fff;
    text-align: center;
    font-weight: bold;
    margin-bottom: 0.64em;
  }
  #newsletter h2 span {
    display: block;
  }
  #newsletter p {
    font-size: 1em;
    line-height: 1.5em;
    color: #fff;
    text-align: center;
    width: 100%;
    max-width: 28.3125em;
    margin: auto;
    margin-bottom: 1.25em;
  }
  #newsletter form {
    max-width: 28.125em;
    margin: auto;
  }
  #newsletter form input {
    font-size: 1em;
    height: 3.5em;
    padding: 0 1.5em;
    margin-bottom: 0.75em;
    color: var(--bodyp);
    text-align: center;
    border-radius: 0.25em;
    width: 100%;
    border: none;
  }
  #newsletter form input::placeholder {
    color: #A0A3BD;
  }
  #newsletter form button {
    display: block;
    background: transparent;
    line-height: 3.125em;
    height: 3.125em;
    font-size: 1em;
    font-family: 'Ubuntu', Arial, sans-serif;
    color: #fff;
    font-weight: bold;
    width: 100%;
    max-width: 100%;
    text-align: center;
    border-radius: 0.25em;
    margin-bottom: 1em;
    border: 1px solid #fff;
    z-index: 10;
  }
  #newsletter .spam {
    display: block;
    color: #fff;
    font-size: 0.8125em;
    line-height: 1.5em;
    text-align: center;
    opacity: .8;
    margin-bottom: 3.23076923em;
  }
  #newsletter .button-orange {
    width: 100%;
    max-width: 28.125em;
    margin: auto;
    margin-bottom: -1.625em;
    display: block;
    text-decoration: none;
    line-height: 4em;
    height: 4em;
    position: relative;
    z-index: 10;
  }
}
/* Tablet */
@media only screen and (min-width: 48em) {
  #newsletter {
    padding-top: 5.875em;
  }
  #newsletter h2 {
    font-size: 1.9375em;
    line-height: 1.32258065em;
    margin-bottom: 0.51612903em;
  }
  #newsletter h2 span {
    display: inline-block;
  }
  #newsletter p {
    max-width: 40.8125em;
    margin-bottom: 1.5em;
  }
  #newsletter form {
    display: flex;
    justify-content: space-between;
    max-width: 33.75em;
    margin-bottom: 1em;
  }
  #newsletter form input {
    max-width: 16.25em;
    height: 3.125em;
    margin: 0;
  }
  #newsletter form button {
    font-size: 1em;
    max-width: 16.25em;
    margin: 0;
    height: 3.125em;
    position: relative;
    z-index: 1;
    transition: border .3s;
  }
  #newsletter form button:hover {
    border: 1px solid transparent;
  }
  #newsletter form button:hover:before {
    opacity: 1;
  }
  #newsletter form button:before {
    content: '';
    position: absolute;
    display: block;
    top: -0.0625em;
    bottom: -0.0625em;
    left: -0.0625em;
    right: -0.0625em;
    background: linear-gradient(90deg, #ffba43 -24.69%, #e12213 126.23%);
    opacity: 0;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 0.25em;
    transition: opacity .3s;
  }
  #newsletter .spam {
    margin-bottom: 4.38461538em;
  }
  #newsletter .button-orange {
    max-width: 20.5em;
    z-index: 1;
    position: relative;
    transition: box-shadow 0.3s;
  }
  #newsletter .button-orange:hover {
    box-shadow: 0px 16px 24px rgba(2, 3, 3, 0.1), 0px 6px 30px rgba(2, 3, 3, 0.09), 0px 8px 10px rgba(2, 3, 3, 0.11);
  }
  #newsletter .button-orange:hover:before {
    opacity: 1;
  }
  #newsletter .button-orange:before {
    content: '';
    position: absolute;
    display: block;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    background: linear-gradient(127.08deg, #ff1a83 28.48%, #ba0055 100.16%);
    border-radius: 0.25em;
    opacity: 0;
    transition: opacity .3s;
  }
}
/* Dark Mode */
@media only screen and (min-width: 0em) {
  body.dark-mode #newsletter {
    position: relative;
    z-index: 1;
  }
  body.dark-mode #newsletter:before {
    content: '';
    width: 100%;
    height: 100%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#181f3f+0,181f3f+100&1+0,0+100 */
    background: -moz-linear-gradient(top, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* FF3.6-15 */
    background: -webkit-linear-gradient(top, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom, #181f3f 0%, rgba(24, 31, 63, 0) 100%);
    /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#181f3f', endColorstr='#00181f3f', GradientType=0);
    /* IE6-9 */
    opacity: 1;
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    z-index: -1;
    transition: opacity .3s;
  }
  body.dark-mode #newsletter:after {
    /* top right box */
    content: '';
    width: 100%;
    height: 1.625em;
    background: var(--dark);
    opacity: 1;
    position: absolute;
    display: block;
    bottom: 0;
    left: 0;
  }
}
